#!/usr/bin/python

from distutils.core import setup
import warnings
import os

from ksplice.uptrack import client

if not os.getenv('DISTUTILS_DEBUG'):
    warnings.filterwarnings('ignore',
                            category = UserWarning,
                            module   = 'distutils')

setup(
    name='python-ksplice-uptrack',
    version=client.__version__,
    description='Ksplice Uptrack API client library for Python',
    author='Ksplice Uptrack Team',
    author_email="ksplice-support_ww@oracle.com",
    url='http://ksplice.com/',
    packages=['ksplice', 'ksplice.uptrack'],
    scripts=['bin/uptrack-api-advisory-check',
             'bin/uptrack-api-describe',
             'bin/uptrack-api-authorize',
             'bin/uptrack-api-list'],
    data_files=[('lib/nagios/plugins', ['bin/check_uptrack'])],
    requires=['cjson', 'pycurl'],
    classifiers = [
        "License :: OSI Approved :: Apache Software License",
        "Intended Audience :: Developers",
        "Topic :: Software Development :: Libraries",
        ]
)
